package com.rf.psychological.miniapp.searchhistory.service;

import com.rf.psychological.miniapp.searchhistory.model.SearchHistoryEntity;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * @Description:搜索历史接口
 * @Author: mimang
 * @Date: 2023/5/16
 */
public interface SearchHistoryService {

    /**
     * 保存搜索信息
     * @param entity 搜索内容
     * @return
     */
    public SearchHistoryEntity save(SearchHistoryEntity entity);

    /**
     * 获取到搜索记录
     * @param openId
     * @param page
     * @param pageSize
     * @return
     */
    Page<SearchHistoryEntity> queryByOpenId(String openId,int page,int pageSize);

    /**
     * 删除搜索历史记录
     * @param id
     * @return
     */
    SearchHistoryEntity deleteById(String id);

    /**
     * 根据用户ID删除所有搜索记录
     * @param id
     */
    void deleteByUserId(String id);

    List<String> queryListByUserId(String userId);
}
